mog_diag_em.cpp File Reference

Expectation Maximisation based optimisers for Mixture of Gaussians - source file. More...

`#include <itpp/stat/mog_diag_em.h>`
`#include <itpp/base/math/log_exp.h>`
`#include <itpp/base/timing.h>`
`#include <iostream>`
`#include <iomanip>`

Go to the source code of this file.

## Namespaces

namespace | itpp
| itpp namespace

## Functions

void | itpp::MOG_diag_ML (MOG_diag &model_in, Array< vec > &X_in, int max_iter_in, double var_floor_in, double weight_floor_in, bool verbose_in)
void | itpp::MOG_diag_MAP (MOG_diag &, MOG_diag &, Array< vec > &, int, double, double, double, bool)

## Detailed Description

Expectation Maximisation based optimisers for Mixture of Gaussians - source file.

Author
  Conrad Sanderson

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file mog_diag_em.cpp.

Generated on for IT++ by Doxygen 1.15.0